import { OnInit, EventEmitter, Renderer2, ElementRef } from '@angular/core';
import { Day } from '../datepicker/interfaces/day.interface';
export declare class VeilDatetimepickerComponent implements OnInit {
    private renderer;
    inputGroup: ElementRef;
    picker: ElementRef;
    inputPicker: ElementRef;
    inputDateTime: string;
    private date;
    pickerIsOpen: boolean;
    confirmDisabled: boolean;
    private _inputDate;
    weekNarrow: string[];
    months: string[];
    valueLanguage: string;
    valueDataTime: string;
    referencePoint: number;
    max: number;
    min: Number;
    valueReadonly: boolean;
    valueDataTimeZone: string;
    private selectedDate;
    year: number;
    month: number;
    day: number;
    valueGeter: string;
    maxSelectedDay: number;
    maxSelectedMonth: number;
    maxSelectedYear: number;
    minSelectedDay: number;
    minSelectedMonth: number;
    minSelectedYear: number;
    minValue: Date;
    maxValue: Date;
    valuePlaceholder: string;
    valid: boolean;
    calendarView: Array<Day[]>;
    private _inputTime;
    private selectedHour;
    private selectedMinute;
    private readonly hours;
    private readonly minutes;
    trimmedHours: Array<string>;
    trimmedMinutes: Array<string>;
    _configPicker: any;
    set configPicker(value: any);
    update: EventEmitter<string>;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    configurationSetting(): void;
    formatDateTimeZone(timeZone: any): void;
    formatDateTime(date: Date, config: string): void;
    inputKeyboardEvent(event: KeyboardEvent): void;
    inputChange(evt: Event): void;
    togglePicker(): void;
    hidePicker(): void;
    confirm(): void;
    updateMonth(route?: string): void;
    selectDay(day: Day): void;
    private getMonthData;
    private getStatus;
    private isToday;
    private isSelected;
    private initCalendarView;
    onMouseWheel(evt: WheelEvent, type: string): void;
    setHour(hour: string): void;
    setMinute(minute: string): void;
    private updateHours;
    private validationСheck;
    private convertTimestamp;
    private updateMinutes;
}
