import { OnInit, Renderer2, ElementRef, EventEmitter } from '@angular/core';
export declare class VeilTimepickerComponent implements OnInit {
    private renderer;
    inputGroup: ElementRef;
    clockface: ElementRef;
    inputPicker: ElementRef;
    inputTime: string;
    clockFaceIsOpen: boolean;
    private selectedHour;
    private selectedMinute;
    private readonly hours;
    private readonly minutes;
    trimmedHours: Array<string>;
    trimmedMinutes: Array<string>;
    valueDataTime: string;
    valueReadonly: boolean;
    private readonly date;
    _configPicker: any;
    set configPicker(value: any);
    update: EventEmitter<string>;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    configurationSetting(): void;
    toggleClockFace(): void;
    hideClockFace(): void;
    inputKeyboardEvent(event: KeyboardEvent): void;
    inputChange(evt: Event): void;
    onMouseWheel(evt: WheelEvent, type: string): void;
    setHour(hour: string): void;
    setMinute(minute: string): void;
    confirmTime(): void;
    private updateHours;
    private updateMinutes;
}
